summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2019-03-14 21:10:13 +0300
committerMikle Kolyada <zlogene@gentoo.org>2019-03-14 21:10:13 +0300
commit2a82c1b67fc1088807b794cc732af1d13424369a (patch)
treecdeb2579394c9e8906839ffcc2f6ff1c3a94c701 /net-fs
parentapp-shells/mksh: Bump (diff)
downloadgentoo-2a82c1b67fc1088807b794cc732af1d13424369a.tar.gz
gentoo-2a82c1b67fc1088807b794cc732af1d13424369a.tar.bz2
gentoo-2a82c1b67fc1088807b794cc732af1d13424369a.zip
net-fs/minio: Version bump
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/minio/Manifest1
-rw-r--r--net-fs/minio/minio-2019.03.13.21.59.47.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/net-fs/minio/Manifest b/net-fs/minio/Manifest
index 42b7edd3060..ea2ac2fd6c0 100644
--- a/net-fs/minio/Manifest
+++ b/net-fs/minio/Manifest
@@ -8,3 +8,4 @@ DIST minio-2019.02.14.00.21.45.tar.gz 9143268 BLAKE2B 3c39147378e5f9d5352980cf72
DIST minio-2019.02.20.22.44.29.tar.gz 9139158 BLAKE2B 16924809cf3ab8961891cddd06d7b7ec75fc9e4920f15bbacd60165a31bc0499b0ca854a3436bd75dd9caa02e196f6151757d5da609c89aff16091790a3ee41c SHA512 c3c57093386e4b70b4890114149932741a8e5c9b6a4ecdf12b101d3b53d3d5601559a41b7d27e61e5aaa16d05497ee086150be98d80616cef98836848a6af33a
DIST minio-2019.02.26.19.51.46.tar.gz 9146652 BLAKE2B a132d2a06648e49bc71282cf6b1f0c2cff68f188f035461a0d9c135fbc40caba50cb365dfa170027b82a6086214a9c17567de55173bc1910ec6283a7d89a7813 SHA512 6ddb452b951ec60b1b30da3059b36db896478a5dc1d9ac60f8de3fb36fa4d9a149e08193af47837ccea9621490daf234ac8c5ecb462e234e5609132e4c61749a
DIST minio-2019.03.06.22.47.10.tar.gz 9197298 BLAKE2B 3b74e2958d876e5c409290dfc0b4b6b1997c06f34d188c9e9357db7c6bcf75af1402acf111b8cfda17cb86a41e9e3e5643dce7bfe2ab40a2f6d06b783c54c719 SHA512 09c1ec200320f0843fd41711a2fe1596af906c84d82dfa080a15fa8e98713601adbc21b91d4c82d436f128cc00fe75575f88ddefc25e1ce5ed72bd2d65dfce12
+DIST minio-2019.03.13.21.59.47.tar.gz 9200988 BLAKE2B 56b2e6e3e4a7643d1e79c6038937b77dfaae632e38cd4049d79076920ee1c84ec75b738d5d069eb0c9c2b219cd2e39b129422191ab8f771386fde25338585edb SHA512 daa76f2e79acea86594189e3df5336d2bc29a5da21ebe36bc6de2fcf68135e4ea7529351a3878609adb9118553fa10088ac0fb1c746d23890b886fe7885a1b2c
diff --git a/net-fs/minio/minio-2019.03.13.21.59.47.ebuild b/net-fs/minio/minio-2019.03.13.21.59.47.ebuild
new file mode 100644
index 00000000000..07c4e789764
--- /dev/null
+++ b/net-fs/minio/minio-2019.03.13.21.59.47.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user golang-build golang-vcs-snapshot eapi7-ver
+
+EGO_PN="github.com/minio/minio"
+MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
+MY_PV=${MY_PV//./-}
+EGIT_COMMIT="ce419c98352324caa4c79b159a9f840ca714c3d5"
+ARCHIVE_URI="https://${EGO_PN}/archive/RELEASE.${MY_PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~amd64-linux"
+
+DESCRIPTION="An Amazon S3 compatible object storage server"
+HOMEPAGE="https://github.com/minio/minio"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${MY_PV}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+}
+
+src_compile() {
+ unset XDG_CACHE_HOME
+
+ pushd src/${EGO_PN} || die
+ MINIO_RELEASE="${MY_PV}"
+ go run buildscripts/gen-ldflags.go
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md MAINTAINERS.md docs
+ dobin minio
+ popd || die
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ keepdir /var/{lib,log}/${PN}
+ fowners ${PN}:${PN} /var/{lib,log}/${PN}
+}